## libguess 1.1

=== src/libguess/Makefile ===
LIB = ${LIB_PREFIX}guess${LIB_SUFFIX}
LIB_MAJOR = 1
LIB_MINOR = 0
DISTCLEAN = autoconf.h

SRCS = guess.c		\
       guess_impl.c	\
       dfa.c

INCLUDES = libguess.h

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${LIB_CPPFLAGS} ${MOWGLI_CFLAGS} -I. -I.. -DLIBGUESS_CORE
CFLAGS += ${LIB_CFLAGS}
LIBS += ${MOWGLI_LIBS}

=== src/tests/Makefile ===
PROG_NOINST = guess_testharness${PROG_SUFFIX}
SRCS = harness.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${MOWGLI_CFLAGS} -I../libguess
LIBS += ${MOWGLI_LIBS} -L../libguess -lguess

=== src/examples/guessconv/Makefile ===
PROG = guessconv${PROG_SUFFIX}
SRCS = guessconv.c

include ../../../buildsys.mk
include ../../../extra.mk

CPPFLAGS += ${MOWGLI_CFLAGS} -I../../libguess
LIBS += ${MOWGLI_LIBS} -L../../libguess -lguess

=== src/tests/testbench/Makefile ===
.SILENT:
.SUFFIXES:
.SUFFIXES: .gen .run .test .out
.PHONY: all run generate

all: run

run:
	for i in */*.test ; do \
		${MAKE} ${MFLAGS} $${i%.test}.run || exit 1; \
	done

generate:
	for i in */*.test ; do \
		${MAKE} ${MFLAGS} $${i%.test}.gen || exit 1; \
	done

.test.gen:
	t=$<; \
	l=$${t%/*}; \
	../guess_testharness $< | grep $$l > ${<:.test=.out}

.test.run:
	t=$<; \
	l=$${t%/*}; \
	r=$$(../guess_testharness $< | grep $$l); \
	o=$$(cat ${<:.test=.out}); \
	if [ "$$r" = "$$o" ] ; then \
		echo Pass: $${t%.test}; \
	else \
		echo Fail: $${t%.test}; \
		false; \
	fi

## libguess 1.0

=== debian/changelog ===
libguess (1.0-1) unstable; urgency=low

  [ Andrew O. Shadoura ]
  * Initial release (Closes: #599700)

  [ Jakub Wilk ]
  * Add myself to uploaders.

 -- Andrew O. Shadoura <bugzilla@tut.by>  Sun, 01 May 2011 19:38:35 +0300

=== debian/control ===
Source: libguess
Priority: extra
Maintainer: Andrew O. Shadoura <bugzilla@tut.by>
Uploaders: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev (>= 20100122.1), autoconf, libmowgli-dev (>= 0.7.0), pkg-config, gauche
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.atheme.org/project/libguess
Vcs-hg: http://hg.debian.org/hg/collab-maint/libguess
Vcs-Browser: http://hg.debian.org/hg/collab-maint/libguess/summary

Package: libguess-dev
Section: libdevel
Architecture: any
Depends: libguess1 (= ${binary:Version}), ${misc:Depends}, libmowgli-dev (>= 0.7.0)
Description: high-speed character set detection library (development)
 libguess employs discrete-finite automata to deduce the character set of the
 input buffer.  The advantage of this is that all character sets can be checked
 in parallel, and quickly.
 .
 This package contains files needed for development with libguess.

Package: libguess1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-speed character set detection library
 libguess employs discrete-finite automata to deduce the character set of the
 input buffer.  The advantage of this is that all character sets can be checked
 in parallel, and quickly.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--version-script=$(CURDIR)/debian/version-script

%:
	dh $@ --with=autotools-dev

override_dh_auto_build:
	gosh src/libguess/guess.scm src/libguess/guess_tab.c
	dh_auto_build
	ln -s $(CURDIR)/src/libguess/libguess.so src/libguess/libguess.so.1

override_dh_compress:
	dh_compress -Xguessconv.c

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/src/libguess make -C src/tests/testbench --no-print-directory run
endif

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

version=3

http://distfiles.atheme.org/libguess-(.*)\.tbz2

## libguess 1.1

=== debian/changelog ===
libguess (1.1-4) unstable; urgency=low

  * Update config.sub and config.guess on build.
  * Build-depend on autotools-dev to have fresh config.* files.
  * Update Standards-Version.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 27 Jan 2014 19:52:50 +0100

libguess (1.1-3) unstable; urgency=low

  * Remove myself from Uploaders.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 22 Oct 2013 14:52:40 +0200

libguess (1.1-2) unstable; urgency=low

  * Remove autotools-dev dependency.
  * Depend on debhelper 9.
  * Update Standards-Version to 3.9.4 (no changes).
  * Fix FTBFS with latest debhelper (Closes: #724184).

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 21 Oct 2013 11:17:08 +0200

libguess (1.1-1) unstable; urgency=low

  * New upstream release, drop patches which were applied upstream.
  * Require mowgli 0.7.0, there's no need for anything newer.
  * Fix maintainer's last name spelling.
  * Add multiarch support:
    - raise dh compat level to 9
    - raise debhelper build-dependency to 8.1.3~
    - add Pre-Depends to the binary package
    - change install files to use multiarch paths
    - use Multi-Arch: same for binary packages
  * Update the watch file.
  * Update the copyright file.
  * Run autoreconf to regenerate the configure script; depend on dh-autoreconf
    for that.
  * Honour dpkg-buildflags' CPPFLAGS.
  * Change the priority to 'optional' as per Policy Section 2.5.

 -- Andrew O. Shadura <bugzilla@tut.by>  Tue, 20 Dec 2011 21:41:47 +0300

=== debian/control ===
Source: libguess
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libmowgli-dev (>= 0.7.0), pkg-config, gauche, autotools-dev
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.atheme.org/project/libguess
Vcs-hg: http://hg.debian.org/hg/collab-maint/libguess
Vcs-Browser: http://hg.debian.org/hg/collab-maint/libguess/summary

Package: libguess-dev
Section: libdevel
Architecture: any
Depends: libguess1 (= ${binary:Version}), ${misc:Depends}, libmowgli-dev (>= 0.7.0)
Multi-Arch: same
Description: high-speed character set detection library (development)
 libguess employs discrete-finite automata to deduce the character set of the
 input buffer.  The advantage of this is that all character sets can be checked
 in parallel, and quickly.
 .
 This package contains files needed for development with libguess.

Package: libguess1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: high-speed character set detection library
 libguess employs discrete-finite automata to deduce the character set of the
 input buffer.  The advantage of this is that all character sets can be checked
 in parallel, and quickly.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--version-script=$(CURDIR)/debian/version-script

export ACLOCAL := aclocal -I m4

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_auto_configure -- SHELL=/bin/sh

override_dh_auto_build:
	gosh src/libguess/guess.scm src/libguess/guess_tab.c
	dh_auto_build
	ln -s $(CURDIR)/src/libguess/libguess.so src/libguess/libguess.so.1

override_dh_compress:
	dh_compress -Xguessconv.c

override_dh_auto_clean:
	[ ! -f buildsys.mk ] || dh_auto_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/src/libguess make -C src/tests/testbench --no-print-directory run
endif

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build override_dh_compress override_dh_auto_test

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

version=3

http://distfiles.atheme.org/libguess-(.*)\.t.*bz2

## libguess 1.2

=== src/Makefile ===
SUBDIRS = libguess tests ${EXAMPLES_BUILD}

include ../buildsys.mk
include ../extra.mk

=== src/libguess/Makefile ===
--- 
+++ 
@@ -12,6 +12,5 @@
 include ../../buildsys.mk
 include ../../extra.mk
 
-CPPFLAGS += ${LIB_CPPFLAGS} ${MOWGLI_CFLAGS} -I. -I.. -DLIBGUESS_CORE
+CPPFLAGS += ${LIB_CPPFLAGS} -I. -I.. -DLIBGUESS_CORE
 CFLAGS += ${LIB_CFLAGS}
-LIBS += ${MOWGLI_LIBS}

=== src/tests/Makefile ===
PROG_NOINST = guess_testharness${PROG_SUFFIX}
SRCS = harness.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += -I../libguess
LIBS += -L../libguess -lguess

=== debian/changelog ===
libguess (1.2-5) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with autoconf 2.71. (Closes: #997542)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Dec 2021 00:24:31 +0200

libguess (1.2-4) unstable; urgency=medium

  * Disable the version script on mips mipsel powerpc powerpcspe.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 08 Jan 2019 18:40:41 +0100

libguess (1.2-3) unstable; urgency=medium

  * Use debhelper-compat = 12, bump S-V.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 08 Jan 2019 16:08:13 +0100

libguess (1.2-2) unstable; urgency=medium

  * Orphan.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 24 Apr 2018 17:21:04 +0200

libguess (1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Generate testbench before run them (Closes: #809302).

 -- YunQiang Su <syq@debian.org>  Tue, 29 Dec 2015 13:31:20 +0800

libguess (1.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop mowgli dependencies.
  * Update the homepage.
  * Don't regenerate guess_tab, as gauche is currently broken on s390x.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 22 Jul 2014 13:38:36 +0200

libguess (1.2~git20131128.cc43cefc-2) unstable; urgency=medium

  * Update the homepage URL.
  * Update Vcs-* fields.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 01 Jul 2014 15:42:16 +0200

libguess (1.2~git20131128.cc43cefc-1) unstable; urgency=medium

  * Update to the latest upstream snapshot.
  * Add pkg-config dependency.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 21 Jun 2014 14:26:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,21 @@
 Source: libguess
 Priority: optional
-Maintainer: Andrew Shadura <andrewsh@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libmowgli-dev (>= 0.7.0), pkg-config, gauche, autotools-dev
-Standards-Version: 3.9.5
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends:
+ debhelper-compat (= 12),
+ pkgconf | pkg-config,
+ gauche,
+ autotools-dev
+Standards-Version: 4.3.0
 Section: libs
-Homepage: http://www.atheme.org/project/libguess
-Vcs-hg: http://hg.debian.org/hg/collab-maint/libguess
-Vcs-Browser: http://hg.debian.org/hg/collab-maint/libguess/summary
+Homepage: https://github.com/kaniini/libguess
+Vcs-Git: https://git.dgit.debian.org/libguess
+Vcs-Browser: https://browse.dgit.debian.org/libguess.git/
 
 Package: libguess-dev
 Section: libdevel
 Architecture: any
-Depends: libguess1 (= ${binary:Version}), ${misc:Depends}, libmowgli-dev (>= 0.7.0)
+Depends: libguess1 (= ${binary:Version}), ${misc:Depends}, pkgconf | pkg-config
 Multi-Arch: same
 Description: high-speed character set detection library (development)
  libguess employs discrete-finite automata to deduce the character set of the

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

version=3

http://rabbit.dereferenced.org/~nenolod/distfiles/libguess-(.*)\.t.*bz2

## libguess 1.2%2Bgit20150609.b44a240

=== debian/changelog ===
libguess (1.2+git20150609.b44a240-1) unstable; urgency=medium

  * Team upload.
  * QA upload.
  * Point Vcs fields to Debian team on Salsa
  * Point watch file to latest Github commit
  * d/rules: Drop get-orig-source target since there is a working watch file
  * d/changelog: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Add debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Tue, 02 Sep 2025 21:10:08 +0200

=== debian/watch ===
version=4

opts="mode=git,pretty=1.2+git%cd.%h" \
    https://github.com/kaniini/libguess.git HEAD

## libguess 1.2+git20150609.b44a240

=== Makefile ===
SUBDIRS = src
DISTCLEAN = extra.mk buildsys.mk config.log config.status libguess.pc

include buildsys.mk

install-extra:
	i="libguess.pc"; \
	${INSTALL_STATUS}; \
	if ${MKDIR_P} ${DESTDIR}${libdir}/pkgconfig && ${INSTALL} -m 644 $$i ${DESTDIR}${libdir}/pkgconfig/$$i; then \
		${INSTALL_OK}; \
	else \
		${INSTALL_FAILED}; \
	fi

uninstall-extra:
	i="libguess.pc"; \
	if [ -f ${DESTDIR}${libdir}/pkgconfig/$$i ]; then \
		if rm -f ${DESTDIR}${libdir}/pkgconfig/$$i; then \
			${DELETE_OK}; \
		else \
			${DELETE_FAILED}; \
		fi \
	fi

=== src/Makefile ===
SUBDIRS = libguess tests ${EXAMPLES_BUILD}

tests: libguess
examples: libguess

include ../buildsys.mk
include ../extra.mk

=== src/examples/Makefile ===
SUBDIRS = guessconv

include ../../buildsys.mk
include ../../extra.mk

=== src/libguess/Makefile ===
SHARED_LIB = ${LIB_PREFIX}guess${LIB_SUFFIX}
LIB_MAJOR = 1
LIB_MINOR = 0
DISTCLEAN = autoconf.h

SRCS = guess.c		\
       guess_impl.c	\
       dfa.c

INCLUDES = libguess.h

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += -I. -I.. -DLIBGUESS_CORE
CFLAGS += ${LIB_CFLAGS}

=== src/examples/guessconv/Makefile ===
PROG = guessconv${PROG_SUFFIX}
SRCS = guessconv.c

include ../../../buildsys.mk
include ../../../extra.mk

CPPFLAGS += -I../../libguess
LIBS += -L../../libguess -lguess

=== debian/control ===
Source: libguess
Standards-Version: 4.7.2
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 gauche,
Vcs-Browser: https://salsa.debian.org/debian/libguess
Vcs-Git: https://salsa.debian.org/debian/libguess.git
Homepage: https://github.com/kaniini/libguess

Package: libguess-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libguess1 (= ${binary:Version}),
 ${misc:Depends},
 pkgconf | pkgconf,
Description: high-speed character set detection library (development)
 libguess employs discrete-finite automata to deduce the character set of the
 input buffer.  The advantage of this is that all character sets can be checked
 in parallel, and quickly.
 .
 This package contains files needed for development with libguess.

Package: libguess1
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: high-speed character set detection library
 libguess employs discrete-finite automata to deduce the character set of the
 input buffer.  The advantage of this is that all character sets can be checked
 in parallel, and quickly.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
ifeq ($(filter $(DEB_HOST_ARCH),mips mipsel powerpc powerpcspe),)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--version-script=$(CURDIR)/debian/version-script
endif

export ACLOCAL := aclocal -I m4

%:
	dh $@

override_dh_auto_configure:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_auto_configure -- SHELL=/bin/sh

override_dh_auto_build:
	# gosh src/libguess/guess.scm src/libguess/guess_tab.c
	dh_auto_build
	ln -s $(CURDIR)/src/libguess/libguess.so src/libguess/libguess.so.1

override_dh_compress:
	dh_compress -Xguessconv.c

override_dh_auto_clean:
	[ ! -f buildsys.mk ] || dh_auto_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/src/libguess make -C src/tests/testbench --no-print-directory generate
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/src/libguess make -C src/tests/testbench --no-print-directory run
endif
